# Invoke-RASSAMLIDP.md

## NAME

Invoke-RASSAMLIDP

## SYNOPSIS

Invokes a SAMLIDP action.

## SYNTAX

**Invoke-RASSAMLIDP** \[[Id](#id-string)] *(uint)* -[Duplicate](#duplicate-string) *(SwitchParameter)* \[*(*[*CommonParameters*](#CommonParameters)*)*]

\*\*Invoke-RASSAMLIDP \[-[InputObject](#inputobject)] *(*[*SAMLIDP*](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/samlidp.md)*)* -[Duplicate](#duplicate-string) *(SwitchParameter)* \[*(*[*CommonParameters*](#CommonParameters)*)*]

## DESCRIPTION

Invokes a SAMLIDP action.

## PARAMETERS

## Id (uint)

The ID of the SAMLIDP to invoke the action on. To obtain the ID, use the Get-RASSAMLIDP cmdlet.

```
        Required?                    true

        Position?                    0

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## InputObject ([SAMLIDP](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/samlidp.md))

The SAMLIDP object to invoke the action on.

```
        Required?                    true

        Position?                    0

        Default value                

        Accept pipeline input?       true (ByValue)

        Accept wildcard characters?  false
```

## Duplicate (SwitchParameter)

Specifies to duplicate the SAMLIDP.

```
        Required?                    true

        Position?                    named

        Default value                False

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

(CommonParameters)

```
        This cmdlet supports the common parameters: Verbose, Debug,

        ErrorAction, ErrorVariable, WarningAction, WarningVariable,

        OutBuffer, PipelineVariable, and OutVariable. For more information, see 

        about_CommonParameters documentation. 
```

## INPUTS

[SAMLIDP](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/samlidp.md)

## OUTPUTS

[SAMLIDP](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/samlidp.md)

[The](https://github.com/Parallels-Corp/RAS-20-docs/blob/origin/admin-guide-20.3-release/20_RAS-20_API_Guides/PS-API/MD/RASAdmin/types/The.md)

[server](https://github.com/Parallels-Corp/RAS-20-docs/blob/origin/admin-guide-20.3-release/20_RAS-20_API_Guides/PS-API/MD/RASAdmin/types/server.md)

[or](https://github.com/Parallels-Corp/RAS-20-docs/blob/origin/admin-guide-20.3-release/20_RAS-20_API_Guides/PS-API/MD/RASAdmin/types/or.md)

[authorization](https://github.com/Parallels-Corp/RAS-20-docs/blob/origin/admin-guide-20.3-release/20_RAS-20_API_Guides/PS-API/MD/RASAdmin/types/authorization.md)

[authority](https://github.com/Parallels-Corp/RAS-20-docs/blob/origin/admin-guide-20.3-release/20_RAS-20_API_Guides/PS-API/MD/RASAdmin/types/authority.md)

[that](https://github.com/Parallels-Corp/RAS-20-docs/blob/origin/admin-guide-20.3-release/20_RAS-20_API_Guides/PS-API/MD/RASAdmin/types/that.md)

[the](https://github.com/Parallels-Corp/RAS-20-docs/blob/origin/admin-guide-20.3-release/20_RAS-20_API_Guides/PS-API/MD/RASAdmin/types/the.md)

[client](https://github.com/Parallels-Corp/RAS-20-docs/blob/origin/admin-guide-20.3-release/20_RAS-20_API_Guides/PS-API/MD/RASAdmin/types/client.md)

[can](https://github.com/Parallels-Corp/RAS-20-docs/blob/origin/admin-guide-20.3-release/20_RAS-20_API_Guides/PS-API/MD/RASAdmin/types/can.md)

[use](https://github.com/Parallels-Corp/RAS-20-docs/blob/origin/admin-guide-20.3-release/20_RAS-20_API_Guides/PS-API/MD/RASAdmin/types/use.md)

[to](https://github.com/Parallels-Corp/RAS-20-docs/blob/origin/admin-guide-20.3-release/20_RAS-20_API_Guides/PS-API/MD/RASAdmin/types/to.md)

[authenticate](https://github.com/Parallels-Corp/RAS-20-docs/blob/origin/admin-guide-20.3-release/20_RAS-20_API_Guides/PS-API/MD/RASAdmin/types/authenticate.md)

## EXAMPLES

\*\*---------- EXAMPLE 1 ----------

Invoke-RASSAMLIDP -Id 1 -Duplicate

Adds a new SAMLIDP by duplicating the SAMLIDP with ID 1.

## RELATED LINKS

* [Get-RASSAMLIDP](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/get-rassamlidp.md)
* [New-RASSAMLIDP](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/new-rassamlidp.md)
* [Set-RASSAMLIDP](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/set-rassamlidp.md)
* [Remove-RASSAMLIDP](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/remove-rassamlidp.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/invoke-rassamlidp.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
